Skip to main content
POST
/
custodians
/
me
/
clients
Create a client
curl --request POST \
  --url https://api.portalhq.io/api/v3/custodians/me/clients \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isAccountAbstracted": false
}
'
{
  "id": "clientId",
  "clientApiKey": "clientApiKey",
  "clientSessionToken": "clientSessionToken",
  "isAccountAbstracted": false
}

Authorizations

Authorization
string
header
required

Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.

Body

application/json
isAccountAbstracted
boolean

Whether the client will use ERC-4337 Account Abstraction (AA).

Response

Client created successfully

id
string

The new client's ID

clientApiKey
string

The client API key for SDK authentication

clientSessionToken
string

The client session token for SDK authentication

isAccountAbstracted
boolean

Whether account abstraction is enabled